Create temporary address
/temporary_address/create
Target audience: Developers
Create temporary address¶
Introduction¶
This endpoint creates a temporary address for a given user product. The user product cannot contain more than one configured distribution (although multiple copies on one distribution is possible).
URI¶
| Environment | URI |
|---|---|
| Stage | https://payway-api.stage.adeprimo.se/external/api/v1/temporary_address/create |
| Production | https://backend.worldoftulo.com/external/api/v1/temporary_address/create |
Requirements¶
| Identity | Scope |
|---|---|
| No | /external/distribution/w |
Parameters¶
| Field | Required | Type | Description |
|---|---|---|---|
| user_product_id | Required | String | The id of the user product. Max length: 50 |
| address_from | Required | String | Start date for the temporary address. Max length: 25 |
| address_to | Required | String | End date for the temporary address. Max length: 25 |
| distribution_method | Required | String | The distribution method to use. Max length: 50 |
| address | Optional | Hash | The address details. See Payway Address. |
Curl Example¶
Create¶
curl --request POST \
--url https://payway-api.stage.adeprimo.se/external/api/v1/temporary_address/create \
--header 'accept: application/json' \
--header 'authorization: Bearer <token>' \
--header 'content-type: application/json' \
--data '{
"user_product_id": "<user_product_id>",
"address_from": "2026-04-01",
"address_to": "2026-04-30",
"distribution_method": "<distribution_method>",
"address": {
...
}
}'
Response¶
The response contains address data following the Payway Address contract.
Successful response¶
HTTP 201
{
"id": "<temporary_address_id>"
}
Errors¶
This API uses the common error conventions of the Payway API